> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Livechat Appearance > Get the settings about the widget appearance. Permission required: `view-livechat-manager` ### Changelog | Version | Description | | ---------------- | ------------| |6.4.0 | Added | ## OpenAPI ````json GET /api/v1/livechat/appearance { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/livechat/appearance": { "get": { "tags": [ "Livechat Appearance" ], "summary": "Get Livechat Appearance", "description": "Get the settings about the widget appearance.\nPermission required: `view-livechat-manager`\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|6.4.0 | Added |", "operationId": "get-api-v1-livechat-appearance", "parameters": [ { "$ref": "#/components/parameters/AuthToken" }, { "$ref": "#/components/parameters/UserId" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "appearance": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "type": { "type": "string" }, "group": { "type": "string" }, "public": { "type": "boolean" }, "i18nLabel": { "type": "string" }, "packageValue": { "type": "boolean" }, "valueSource": { "type": "string" }, "hidden": { "type": "boolean" }, "blocked": { "type": "boolean" }, "sorter": { "type": "integer" }, "i18nDescription": { "type": "string" }, "autocomplete": { "type": "boolean" }, "ts": { "type": "string" }, "_updatedAt": { "type": "string" }, "createdAt": { "type": "string" }, "value": { "type": "boolean" }, "secret": { "type": "boolean" }, "section": { "type": "string" }, "enterprise": { "type": "boolean" }, "requiredOnWizard": { "type": "boolean" }, "env": { "type": "boolean" }, "enableQuery": { "type": "string" }, "editor": { "type": "string" }, "packageEditor": { "type": "string" } } } }, "success": { "type": "boolean" } } }, "examples": { "Example 1": { "value": { "appearance": [ { "_id": "Livechat_conversation_finished_message", "type": "string", "group": "Omnichannel", "public": true, "i18nLabel": "Conversation_finished_message", "packageValue": "", "valueSource": "packageValue", "hidden": false, "blocked": false, "sorter": 16, "i18nDescription": "Livechat_conversation_finished_message_Description", "autocomplete": true, "ts": "2021-12-03T16:21:59.851Z", "_updatedAt": "2021-12-03T16:21:59.851Z", "createdAt": "2021-12-03T16:21:59.851Z", "value": "CLOSE!!!", "secret": false, "section": "Livechat", "enterprise": false, "requiredOnWizard": false, "env": false, "enableQuery": "{\"_id\":\"Livechat_enabled\",\"value\":true}" }, { "_id": "Livechat_conversation_finished_text", "_updatedAt": "2023-02-06T17:25:35.94Z", "autocomplete": true, "blocked": false, "createdAt": "2021-12-03T16:21:59.861Z", "group": "Omnichannel", "hidden": false, "i18nDescription": "Livechat_conversation_finished_text_Description", "i18nLabel": "Conversation_finished_text", "multiline": true, "packageValue": "", "public": true, "secret": false, "sorter": 17, "ts": "2021-12-03T16:21:59.861Z", "type": "string", "value": "BYE!!!", "valueSource": "packageValue", "section": "Livechat", "enterprise": false, "requiredOnWizard": false, "env": false, "enableQuery": "{\"_id\":\"Livechat_enabled\",\"value\":true}" }, { "_id": "Livechat_display_offline_form", "type": "boolean", "group": "Omnichannel", "public": true, "section": "Livechat", "i18nLabel": "Display_offline_form", "packageValue": true, "valueSource": "packageValue", "hidden": false, "blocked": false, "sorter": 4, "i18nDescription": "Livechat_display_offline_form_Description", "ts": "2021-10-27T22:25:42.892Z", "_updatedAt": "2021-10-27T22:25:42.892Z", "createdAt": "2021-10-27T22:25:42.892Z", "value": true, "autocomplete": true, "secret": false, "enterprise": false, "requiredOnWizard": false, "env": false, "enableQuery": "{\"_id\":\"Livechat_enabled\",\"value\":true}" }, { "_id": "Livechat_email_field_registration_form", "type": "boolean", "group": "Omnichannel", "public": true, "i18nLabel": "Show_email_field", "packageValue": true, "valueSource": "packageValue", "hidden": false, "blocked": false, "sorter": 20, "i18nDescription": "Livechat_email_field_registration_form_Description", "autocomplete": true, "ts": "2021-12-03T16:21:59.926Z", "_updatedAt": "2021-12-03T16:21:59.926Z", "createdAt": "2021-12-03T16:21:59.926Z", "value": true, "secret": false, "section": "Livechat", "enterprise": false, "requiredOnWizard": false, "env": false, "enableQuery": "{\"_id\":\"Livechat_enabled\",\"value\":true}" }, { "_id": "Livechat_show_agent_info", "_updatedAt": "2023-08-10T13:27:26.422Z", "autocomplete": true, "blocked": false, "createdAt": "2021-12-03T16:21:59.833Z", "group": "Omnichannel", "hidden": false, "i18nDescription": "Livechat_show_agent_info_Description", "i18nLabel": "Show_agent_info", "packageValue": true, "public": true, "secret": false, "sorter": 14, "ts": "2021-12-03T16:21:59.833Z", "type": "boolean", "value": false, "valueSource": "packageValue", "section": "Livechat", "enterprise": false, "requiredOnWizard": false, "env": false, "enableQuery": "{\"_id\":\"Livechat_enabled\",\"value\":true}" }, { "_id": "Livechat_title", "type": "string", "group": "Omnichannel", "public": true, "packageValue": "Rocket.Chat", "valueSource": "packageValue", "hidden": false, "blocked": false, "sorter": 0, "i18nLabel": "Livechat_title", "i18nDescription": "Livechat_title_Description", "ts": "2021-10-27T22:25:42.874Z", "_updatedAt": "2023-09-01T17:17:39.628Z", "createdAt": "2021-10-27T22:25:42.874Z", "value": "Hello", "autocomplete": true, "secret": false, "section": "Livechat", "enterprise": false, "requiredOnWizard": false, "env": false, "enableQuery": "{\"_id\":\"Livechat_enabled\",\"value\":true}" }, { "_id": "Livechat_title_color", "type": "color", "group": "Omnichannel", "public": true, "packageValue": "#C1272D", "valueSource": "packageValue", "hidden": false, "blocked": false, "sorter": 1, "i18nLabel": "Livechat_title_color", "i18nDescription": "Livechat_title_color_Description", "ts": "2021-10-27T22:25:42.882Z", "_updatedAt": "2023-03-30T12:19:01.124Z", "createdAt": "2021-10-27T22:25:42.882Z", "value": "#b427be", "autocomplete": true, "editor": "color", "secret": false, "section": "Livechat", "enterprise": false, "requiredOnWizard": false, "env": false, "packageEditor": "color", "enableQuery": "{\"_id\":\"Livechat_enabled\",\"value\":true}" } ], "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/permissionError" } } } } }, "components": { "parameters": { "AuthToken": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "permissionError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": false, "error": "User does not have the permissions required for this action [error-unauthorized]" } }, "Unauthorized": { "value": { "success": false, "error": "unauthorized" } } } } } } } } } ````